Inkscape-dev

From X-Moto
Revision as of 15:16, 30 September 2009 by The only dude (talk | contribs) (Required softwares)
Jump to: navigation, search

Català - Español


Documentation for the developpement version of Inksmoto Level Editor


Disclaimer

This version of Inksmoto Level Editor is not stable and not fully tested, but you can test it anyway.

Required softwares

The next version of Inksmoto will require Inkscape 0.46 or 0.47 This version of Inkscape no longer uses python-xml, but lxml instead. PyGtk is now needed instead of Tk. And python too (don't know the minimum required version required, but Inkscape 0.46 is packaged with python 2.5).

  • inkscape
  • python
  • python-lxml
  • python-gtk2
  • libglade2-0

Installation on Linux

Installation of the prerequisites

For example on a debian/ubuntu:

sudo apt-get install inkscape python python-lxml python-gtk2

Using the svn

run:

sudo apt-get install subversion
mkdir ~/.inkscape
cd ~/.inkscape
svn co svn://svn.tuxfamily.org/svnroot/xmoto/svg2lvl/trunk/extensions

Installation on Windows

not supported for the dev version (DIY if you want to test).

Installation on Mac OS X

not supported for the dev version (DIY if you want).

TODO

You can see the progress of the developpement in the bug tracker: http://todo.xmoto.tuxfamily.org/index.php?project=2